<?
 /*SCRIPT PARA MANTENIMIENTO DE PREGUNTAS DE SELECCION MULTIPLE */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_a();

  if(!$tipo_trn){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

  switch($tipo_trn){
   case "Add":

   if($txtpregunta==""){
     alert("ERROR: Debe ingresar una pregunta","javascript:history.go(-1)");
   }

   $id_ev=dec($ide);

   $sql="insert into enc_preguntas (encuesta, pregunta, fecha)
                     values ($id_ev, '$txtpregunta','$fechahora')";

   $ins=mysql_query($sql);
   $id_pr=mysql_insert_id();
   // AGREGAR LAS OPCIONES DE LA PREGUNTA
     for($i=1;$i<=$nops;$i++){
      $_crr="N";
      if($i==$txtcorrecta){
       $_crr="S";
      }

      if($txtvopcion[$i]==""){$txtvopcion[$i]=0;}
      if($txtopcion[$i]!=""){
      $sql="insert into enc_opciones (encuesta, pregunta, opcion, valor)
            values ($id_ev, $id_pr,'{$txtopcion[$i]}','{$txtvopcion[$i]}')";
      $insop=mysql_query($sql);
      }

     }
     //     mensaje y redireccion a pagina de preguntas
     alert("Pregunta agregada","frm_enc_prg.php?ide=$ide");
   break;

   case "Update":
   if($txtpregunta==""){
     alert("ERROR: Debe ingresar una pregunta","javascript:history.go(-1)");
   }

   $id_ev=dec($ide);
   $id_pr=dec($pid);

   $sql="update enc_preguntas
         set pregunta='$txtpregunta',
         encuesta='$id_ev'
         where id = $id_pr";


   $upd=mysql_query($sql);

   $qdel_op=mysql_query("delete from enc_opciones where pregunta = $id_pr");

     for($i=1;$i<=$nops;$i++){
      $_crr="N";
      if($i==$txtcorrecta){
       $_crr="S";
      }

      if($txtvopcion[$i]==""){$txtvopcion[$i]=0;}
      if($txtopcion[$i]!=""){
      $sql="insert into enc_opciones (encuesta, pregunta, opcion, valor) values ('$id_ev','$id_pr','{$txtopcion[$i]}','{$txtvopcion[$i]}')";
      //echo $sql."<br>";
      $insop=mysql_query($sql);
      }

     }
     //     mensaje y redireccion a pagina de preguntas
     alert("Pregunta actualizada","frm_preguntas_encuesta.php?ide=$ide");

   break;
   default:
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }
?>